Subject: Re: [BUG] Performance regression due to #33d4221: write_sha1_file: freshen existing objects

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Apr 2015 10:05:26 -0700

Stefan Saasen <[email-masked]> writes:

> I've noticed Peff's patches on pu which suggest they will be available
> in git 2.5?

Being on 'pu' (or 'next' for that matter) is not a suggestion for a
change to appear in any future version at all, even though it often
means that it would soon be merged to 'master' and will be in the
upcoming release to be on 'next' in early part of a development
cycle.  Some larger topics would stay on 'next' for a few cycles.

> Do you Junio, have plans to merge them to maint (2.3.x) and/or next (2.4)?

The topic will hopefully be merged to 'master' after 2.4 final is
released end of this month, down to 'maint' early May and will ship
with 2.4.1, unless there is unforeseen issues discovered in the
change while people try it out while it is in 'next' (which will
happen today, hopefully).